spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex <mysqlstud...@gmail.com>
Subject lint dostech/SARE errors
Date Tue, 23 Mar 2010 21:34:11 GMT
Hi all,

Should I not be using:

72_sare_redirect_post3_0_0_cf_sare_sa-update_dostech_net

It generates several dependency problems, including:

 SARE_RD_SAFE has undefined dependency 'SARE_RD_SAFE_MKSHRT'
 SARE_RD_SAFE has undefined dependency 'SARE_RD_SAFE_GT'
 SARE_RD_SAFE has undefined dependency 'SARE_RD_SAFE_TINY'
 SARE_HEAD_SUBJ_RAND has undefined dependency 'SARE_XMAIL_SUSP2'
 SARE_HEAD_SUBJ_RAND has undefined dependency 'SARE_HEAD_XAUTH_WARN'
 SARE_HEAD_SUBJ_RAND has undefined dependency 'X_AUTH_WARN_FAKED'
 SARE_OBFU_CIALIS has undefined dependency 'SARE_OBFU_CIALIS2'

These are commented out in that channel.

Maybe there's an ifplugin missing in updates_spamassassin_org? I'm not
using PYZOR_CHECK:

 DIGEST_MULTIPLE has undefined dependency 'PYZOR_CHECK'

The MAY_BE_FORGED is from the khopesh channel, referencing
__LAST_EXTERNAL_RELAY_NO_AUTH, which is from the S25R (20_s25r.cf) SVN
rules. Are these safe to use with v3.2.5?

 MAY_BE_FORGED has undefined dependency '__LAST_EXTERNAL_RELAY_NO_AUTH'

Can anyone tell me about:

 RCVD_VIA_APNIC has undefined dependency '__FROM_ISO_2022_JP'

I also have a lot of international email in other languages. Should I
consider lowering these scores or removing these rules? It's published
in the khop-bl_sa_khopesh_com channel, which is otherwise great.

I'm also using an older version of perl, and some of the SOUGHT rules
produce this error:

[32442] warn: config: invalid regexp for rule __SEEK_60GKOS: / The
Corporation \x{b7} Terms of Use/: / The Corporation \x{b7} Terms of
Use/:
Can't use \x{} without 'use utf8' declaration

Perhaps someone has a suggested work-around for this for the time
being until I can upgrade?

Sure appreciate any ideas you may have.

Thanks,
Alex

Mime
View raw message